Bug 72885 - LOAD DATA LOCAL not working by default in 7.3
Summary: LOAD DATA LOCAL not working by default in 7.3
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-28 18:39 UTC by Need Real Name
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 18:39:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-08-28 18:39:33 UTC
Description of Problem:

Seems from mysql 3.23.49 one must add --enable-local-infile while compiling 
in order for LOAD DATA LOCAL to work by default.  Mysql in RH 7.3 doesn't 
appear to have that in it's SRPM and so LOAD DATA LOCAL doesn't work 
(without presumably setting --local-infile= on client/server.)  I'm mostly 
just curious whether this was intentional or just missed for the 7.3 
packages. It makes upgrading from 7.2 slightly more interesting than 
necessary if this functionality is needed.  Also it doesn't appear
to be mentioned in the release notes for 7.3.

(Again I know this was an upstream change, but Mysql state they
compile with enable-local-infile for their binaries for backwards
compatibility, so I'm mostly just curious whether not being
backwards compat is intentional or not?)


How Reproducible: always


Steps to Reproduce:
1. use LOAD DATA LOCAL
2. 
3. 

Actual Results:

The used command is not allowed with this MySQL version

Comment 1 Trond Eivind Glomsrxd 2002-08-29 16:11:51 UTC
Added in 3.23.52-2


Note You need to log in before you can comment on or make changes to this bug.